#import <Cocoa/Cocoa.h>

//	Command2 is a command that is not connected to a particular object (like for instance the 'copy:' command)
//	We added this command to the pseudo class 'First Responder' in InterfaceBuilder and connected the NSMenuItem to First Responder (To do that from code, you just set the target to 'nil'. First Responder in IB is really a way to specifiy a nil target)
//	What will occur is that, whenever our class will be in the responder chain, the menu will be magically enabled.
//	If the command is not always avalaible (like copy when there is no selection), then CommandView should have implemented '- (BOOL)validateMenuItem:(id <NSMenuItem>)menuItem', like the Controller object.
//	To make good measure, we implemented copy on CommandView. See how the menu(s) are magically enabled by the appkit depending on the responder status
@interface CommandView : NSView
{	BOOL itsfDrawInRed;
}
- (IBAction)command2:(id)sender;
@end
