#import "CommandView.h"

@implementation CommandView

//	Implement the command
- (IBAction)command2:(id)sender
{	NSLog( @"Command 2 executed" );
}

//	Here is all that is needed to support copy of strings.
- (IBAction)copy:(id)sender
{		//	We can give strings to the paseteboard
	[[NSPasteboard generalPasteboard] declareTypes:[NSArray arrayWithObject:NSStringPboardType] owner:nil];

		//	We give it now (a real application would have this operation deffered, so the copy is not done until the user pastes. This is important in the general case so you only generate the kind of data the user pastes)
	[[NSPasteboard generalPasteboard] setString:@"Hello world" forType:NSStringPboardType];

	NSLog( @"Copy executed" );
}

@end

@implementation CommandView(NSResponder_Overrides)

//	So we get inserted in the responder chain
- (BOOL)acceptsFirstResponder
{	return YES;
}

//	This is just for the user feedback
- (BOOL)becomeFirstResponder
{	itsfDrawInRed = YES;
	[self display];
	return YES;
}

//	This is just for the user feedback
- (BOOL)resignFirstResponder
{	itsfDrawInRed = NO;
	[self display];
	return YES;
}

@end

@implementation CommandView(NSView_Overrides)

//	This is just for the user feedback
- (void)drawRect:(NSRect)aRect
{	if (itsfDrawInRed)
		[[NSColor redColor] set];
	else
		[[NSColor whiteColor] set];

	NSRectFill( [self bounds] );
}

@end
